### Method

# Gtk Snapshot append_layout

#### Declaration [src]

    void
    gtk_snapshot_append_layout (
      GtkSnapshot* snapshot,
      PangoLayout* layout,
      const GdkRGBA* color
    )

#### Description [src]

Creates render nodes for rendering `layout` in the given foregound `color` and appends them to the current node of `snapshot` without changing the current node. The current theme’s foreground color for a widget can be obtained with `gtk_widget_get_color()`.

Note that if the layout does not produce any visible output, then nodes may not be added to the `snapshot`.

#### Parameters

`layout`

  Type: `PangoLayout`

  The `PangoLayout` to render.

  The data is owned by the caller of the method.

`color`

  Type: `GdkRGBA`

  The foreground color to render the layout in.

  The data is owned by the caller of the method.